function [J] = fun_1(x,i)
%% Initialize Renault values
ms = 304;
ks = 29100;
mu = 70;
bu = 150;
ku = 264090;
bs = x;

% load values (again because it is a function)
load w
if i == 1
    Real = load('Comf_HW');
    Real = Real.Comf_HW;
elseif i == 2
    Real = load('Sport_HW');
    Real = Real.Sport_HW;
elseif i ==3
    Real = load('Comf_RR');
    Real = Real.Comf_RR;
elseif i ==4
    Real = load('Sport_RR');
    Real = Real.Sport_RR;
end

%% Road pavement power reduction
if i ==1 || i == 2 % For HW
    Csp = 1.6e-7;
    N = 2.59;
    V = 20; % m/s
elseif i == 3 || i == 4 % For RR
    Csp = 7.5e-7;
    N = 2.32;
    V = 11; % m/s
end
psd_road = (Csp*V^(N-1))./(w.^N);

s = tf('s');
H = (-ms*bu*s^3-ms*ku*s^2)/((ms*s^2+bs*s+ks)*(mu*s^2+(bs+bu)*s+(ks+ku))-(bs*s+ks)*(bs*s+ks));

Val = freqresp(H,w,'Hz');
mag = squeeze(abs(Val(1,1,:)));
mag = mag.*psd_road;

J = (log10(mag) - log10(Real))'*(log10(mag)-log10(Real));
end

